Skip to main content
PUT
/
mail
/
v1
/
inboxes
/
{inboxId}
/
policy
curl -X PUT "https://api.case.dev/mail/v1/inboxes/%3Cstring%3E/policy" \ -H "Authorization: Bearer $CASEDEV_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "enforceSenderAllowlist": true, "allowedSenderPatterns": [ "<string>" ], "readAccessRules": [ "<string>" ] }'

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Path Parameters

inboxId
string
required

Body

application/json
enforceSenderAllowlist
boolean
allowedSenderPatterns
string[]

Exact emails, @domain rules, or *

readAccessRules
string[]

Rules like organization, operator, user:, api_key, api_key:, clerk_session, or *

replyAccessRules
string[]

Rules like organization, operator, user:, api_key, api_key:, clerk_session, or *

sendAccessRules
string[]

Rules like organization, user:, api_key, api_key:, clerk_session, or *

Response

Inbox policy updated successfully